.pagination-bar {
  max-width:650px;
  width: 100%;
  
  padding: 10px 12px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 9999;
  font-family: Arial, sans-serif;
  margin:10px auto;
}

.page-numbers {
  display: flex;
  gap: 6px;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}

.page-btn,
.num {
  text-decoration: none;
  background: #fff;
  padding: 8px 12px;
  border-radius: 8px;
  font-size: 14px;
  color: #111;
  transition: 0.2s ease;
}

.page-btn:hover,
.num:hover {
  background: #e5e7eb;
}

.num.active {
  background: #2563eb;
  color: #fff;
  font-weight: bold;
}

@media (max-width: 480px) {
  .page-btn,
  .num {
    padding: 6px 10px;
    font-size: 13px;
  }
}